### Constructor

# Secret Item new_for_dbus_path_sync

#### Declaration [src]

    SecretItem*
    secret_item_new_for_dbus_path_sync (
      SecretService* service,
      const gchar* item_path,
      SecretItemFlags flags,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Get a new item proxy for a secret item in the secret service.

If `service` is `NULL`, then `secret_service_get_sync()` will be called to get the default `SecretService` proxy.

This method may block indefinitely and should not be used in user interface threads.

Stability: Unstable

This method is not directly available to language bindings.

#### Parameters

`service`

  Type: `SecretService`

  A secret service object.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`item_path`

  Type: `const gchar*`

  The D-Bus path of the item.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`flags`

  Type: `SecretItemFlags`

  Initialization flags for the new item.

`cancellable`

  Type: `GCancellable`

  Optional cancellation object.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the constructor if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `SecretItem`

The new item, which should be unreferenced with `g_object_unref()`

The caller of the function takes ownership of the data, and is responsible for freeing it.